[API Reference](../README.md) > [StandardTokenFactoryType](../classes/StandardTokenFactoryType.md)



# Class: StandardTokenFactoryType


defined just to add good type checking

## Hierarchy


 [ContractWrapperFactory](ContractWrapperFactory.md)[StandardTokenWrapper](StandardTokenWrapper.md)

**↳ StandardTokenFactoryType**







## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)[StandardTokenWrapper](StandardTokenWrapper.md)

## Index

### Constructors

* [constructor](StandardTokenFactoryType.md#constructor)


### Methods

* [at](StandardTokenFactoryType.md#at)
* [deployed](StandardTokenFactoryType.md#deployed)
* [new](StandardTokenFactoryType.md#new)
* [setConfigService](StandardTokenFactoryType.md#setConfigService)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new StandardTokenFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [StandardTokenFactoryType](StandardTokenFactoryType.md)


*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:26](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L26)*



Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string`   |  - |
| wrapper | `object`   |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md)   |  - |





**Returns:** [StandardTokenFactoryType](StandardTokenFactoryType.md)

---


## Methods
<a id="at"></a>

###  at

► **at**(address: *`string`*): `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:61](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L61)*



Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>





___

<a id="deployed"></a>

###  deployed

► **deployed**(): `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>



*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [wrappers/standardToken.ts:222](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/standardToken.ts#L222)*





**Returns:** `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>





___

<a id="new"></a>

###  new

► **new**(...rest: *`Array`.<`any`>*): `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [contractWrapperFactory.ts:44](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L44)*



Deploy a new instance of the contract and return a wrapper around it.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  Optional arguments to the Arc contracts constructor. |





**Returns:** `Promise`.<[StandardTokenWrapper](StandardTokenWrapper.md)>





___

<a id="setConfigService"></a>

### «Static» setConfigService

► **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:14](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperFactory.ts#L14)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md)   |  - |





**Returns:** `void`





___


